Package org.bukkit.block.data.type

# Interface Bell

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`, `Powerable`

public interface Bell extends Directional, Powerable
'attachment' denotes how the bell is attached to its block.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Bell.Attachment`
What the bell is attached to.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Bell.Attachment`
`getAttachment()`
Gets the value of the 'attachment' property.
`void`
`setAttachment(@NotNull Bell.Attachment attachment)`
Sets the value of the 'attachment' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

### Methods inherited from interface org.bukkit.block.data.Powerable

`isPowered, setPowered`

## Method Details

### getAttachment

@NotNull @NotNull Bell.Attachment getAttachment()
Gets the value of the 'attachment' property.

Returns:
  the 'attachment' value

### setAttachment

void setAttachment(@NotNull @NotNull Bell.Attachment attachment)
Sets the value of the 'attachment' property.

Parameters:
  `attachment` - the new 'attachment' value